Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2742743004: Network traffic annotation added to supervised users. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by Ramin Halavati
Modified:
6 months, 1 week ago
CC:
chromium-reviews, pam+watch_chromium.org, Marc Treib
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Network traffic annotation added to supervised users. Network traffic annotation is added to network request of: chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc c/b/s/child_accounts/permission_request_creator_apiary.cc c/b/s/experimental/safe_search_url_reporter.cc c/b/s/legacy/supervised_user_refresh_token_fetcher.cc BUG=656607 Review-Url: https://codereview.chromium.org/2742743004 Cr-Commit-Position: refs/heads/master@{#457424} Committed: https://chromium.googlesource.com/chromium/src/+/36c3b2483acaa6b14987ca0a13e5fd71d40df623

Patch Set 1 #

Total comments: 94

Patch Set 2 : Annotations updated. #

Total comments: 11

Patch Set 3 : Comments addressed. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -6 lines) Patch
M chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc View 1 2 chunks +30 lines, -1 line 0 comments Download
M chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc View 1 2 2 chunks +30 lines, -2 lines 0 comments Download
M chrome/browser/supervised_user/experimental/safe_search_url_reporter.cc View 1 2 chunks +29 lines, -2 lines 0 comments Download
M chrome/browser/supervised_user/legacy/supervised_user_refresh_token_fetcher.cc View 1 2 2 chunks +35 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (7 generated)
Ramin Halavati
Bernhard, I've added network traffic annotation templates to 4 files in supervised users. Please review ...
6 months, 2 weeks ago (2017-03-10 09:40:40 UTC) #2
Bernhard Bauer
+Marc FYI https://codereview.chromium.org/2742743004/diff/1/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc File chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc (right): https://codereview.chromium.org/2742743004/diff/1/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc#newcode176 chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc:176: net::DefineNetworkTrafficAnnotation("...", R"( family_info https://codereview.chromium.org/2742743004/diff/1/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc#newcode178 chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc:178: sender: "..." ...
6 months, 1 week ago (2017-03-14 10:02:51 UTC) #3
Ramin Halavati
Annotations updated, please review. https://codereview.chromium.org/2742743004/diff/1/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc File chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc (right): https://codereview.chromium.org/2742743004/diff/1/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc#newcode176 chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc:176: net::DefineNetworkTrafficAnnotation("...", R"( On 2017/03/14 10:02:48, ...
6 months, 1 week ago (2017-03-14 10:56:21 UTC) #4
Bernhard Bauer
lgtm https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc File chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc (right): https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc#newcode198 chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc:198: RestrictSigninToPattern: "*@manageddomain.com" On 2017/03/14 10:56:21, Ramin Halavati wrote: ...
6 months, 1 week ago (2017-03-14 11:16:14 UTC) #5
Ramin Halavati
Thank you. treib@, batte@, msramek@: Do you have any comments? https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc File chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc (right): https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/family_info_fetcher.cc#newcode198 ...
6 months, 1 week ago (2017-03-14 11:40:37 UTC) #7
Marc Treib
https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc File chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc (right): https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc#newcode202 chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc:202: "This feature cannot be disabled in settings and is ...
6 months, 1 week ago (2017-03-14 11:52:46 UTC) #9
Ramin Halavati
Comments addressed, please review. https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc File chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc (right): https://codereview.chromium.org/2742743004/diff/20001/chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc#newcode202 chrome/browser/supervised_user/child_accounts/permission_request_creator_apiary.cc:202: "This feature cannot be disabled ...
6 months, 1 week ago (2017-03-14 11:58:36 UTC) #10
Marc Treib
lgtm
6 months, 1 week ago (2017-03-14 12:03:12 UTC) #11
msramek
LGTM
6 months, 1 week ago (2017-03-16 13:15:04 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2742743004/40001
6 months, 1 week ago (2017-03-16 13:16:39 UTC) #15
commit-bot: I haz the power
6 months, 1 week ago (2017-03-16 13:59:16 UTC) #18
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/36c3b2483acaa6b14987ca0a13e5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b